#include "chip.h"

#if defined CHIP_CLK_FLASH_LATENCY1_MAX && (CHIP_CLK_SYS_FREQ > CHIP_CLK_FLASH_LATENCY1_MAX)
    #define CHIP_RVAL_FLASH_ACR_LATENCY 2
#elif defined CHIP_CLK_FLASH_LATENCY0_MAX && (CHIP_CLK_SYS_FREQ > CHIP_CLK_FLASH_LATENCY0_MAX)
    #define CHIP_RVAL_FLASH_ACR_LATENCY 1
#else
    #define CHIP_RVAL_FLASH_ACR_LATENCY 0
#endif

void chip_flash_init() {
#ifdef CHIP_CLK_FLASH_LATENCY0_MAX
    LBITFIELD_UPD(CHIP_REGS_FLASH->ACR, CHIP_REGFLD_FLASH_ACR_LATENCY, CHIP_RVAL_FLASH_ACR_LATENCY);
#endif
}
